TARGET = linbo_gui
DEPENDPATH += .
INCLUDEPATH += .
CFLAGS += -DQWS -static
QT += \
    qt3support \
    widgets \
    svg
QMAKE_POST_LINK=strip $(TARGET)

# deployment
target.path = /usr/bin
!isEmpty(target.path): INSTALLS += target

INCLUDEPATH += \
    headers/ \
    headers/legacy

# Input
HEADERS += \
    headers/legacy/image_description.hh \
    headers/legacy/linboConsoleImpl.hh \
    headers/legacy/linboCounterImpl.hh \
    headers/legacy/linboGUIImpl.hh \
    headers/legacy/linboImageSelectorImpl.hh \
    headers/legacy/linboImageUploadImpl.hh \
    headers/legacy/linboInfoBrowserImpl.hh \
    headers/legacy/linboInputBoxImpl.hh \
    headers/legacy/linboMsgImpl.hh \
    headers/legacy/linboMulticastBoxImpl.hh \
    headers/legacy/linboPasswordBoxImpl.hh \
    headers/legacy/linboProgressImpl.hh \
    headers/legacy/linboPushButton.hh \
    headers/legacy/linboLogConsole.hh \
    headers/legacy/linboRegisterBoxImpl.hh \
    headers/legacy/linboYesNoImpl.hh \
    headers/linbogui.h \
    headers/linboosselectbutton.h \
    headers/linbostartpage.h \
    headers/qmodernpushbutton.h

SOURCES += \
    sources/legacy/image_description.cc \
    sources/legacy/linboConsoleImpl.cc \
    sources/legacy/linboCounterImpl.cc \
    sources/legacy/linboGUIImpl.cc \
    sources/legacy/linboImageSelectorImpl.cc \
    sources/legacy/linboImageUploadImpl.cc \
    sources/legacy/linboInfoBrowserImpl.cc \
    sources/legacy/linboInputBoxImpl.cc \
    sources/legacy/linboMsgImpl.cc \
    sources/legacy/linboMulticastBoxImpl.cc \
    sources/legacy/linboPasswordBoxImpl.cc \
    sources/legacy/linboProgressImpl.cc \
    sources/legacy/linboPushButton.cc \
    sources/legacy/linboLogConsole.cc \
    sources/legacy/linboRegisterBoxImpl.cc \
    sources/legacy/linboYesNoImpl.cc \
    sources/linbogui.cpp \
    sources/linboosselectbutton.cpp \
    sources/linbostartpage.cpp \
    sources/main.cpp \
    sources/qmodernpushbutton.cpp

FORMS += \
    forms/linboConsole.ui \
    forms/linboCounter.ui \
    forms/linboGUI.ui \
    forms/linboImageSelector.ui \
    forms/linboImageUpload.ui \
    forms/linboInfoBrowser.ui \
    forms/linboInputBox.ui \
    forms/linboMovie.ui \
    forms/linboMsg.ui \
    forms/linboMulticastBox.ui \
    forms/linboPasswordBox.ui \
    forms/linboProgress.ui \
    forms/linboRegisterBox.ui \
    forms/linboYesNo.ui

RESOURCES += \
    resources/linbo.qrc
